httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Aaron Bannert <aa...@clove.org>
Subject Re: Christopher Williamson: URGENT: Bug/compatability issue in Apache 1.3.26
Date Wed, 03 Jul 2002 19:36:01 GMT
On Wed, Jul 03, 2002 at 01:19:53PM -0600, Jerry Baker wrote:
> > Same here, I'm sympathetic. I think that it might be beneficial to
> > introduce an "Enable old behavior for backward-compatibility" mode, for
> > just these occasions where we have altered the behaviour of the server
> > to be more strict on protocol parsing.
> 
> Can't they offer a patch for their existing user base? I'm not
> unsympathetic, but introducing these kind of hacks seems like it would
> make the code grow more complicated with each change in server behavior.

That might work in some cases, but if they are under a controlled/hosting
environment, it is unlikely that their hosts will allow unchecked patches
to be applied to the server. It just seems to me like one of those times
where we inadvertently broke the principle of least surprise.

-aaron

Mime
View raw message